Browse Source

Use freezerclient.client to support v1 or v2

The python-freezerclient 2.0.0 is released now. We can directly use
freezerclinent.client to support api v1 or v2.

Change-Id: I30ad8694d137e0fab081b0f8ded842caa723c86f
tags/7.0.0^0
Cai Hui 7 months ago
parent
commit
6763ff9a59
3 changed files with 3 additions and 9 deletions
  1. 1
    7
      disaster_recovery/api/api.py
  2. 1
    1
      lower-constraints.txt
  3. 1
    1
      requirements.txt

+ 1
- 7
disaster_recovery/api/api.py View File

@@ -17,13 +17,7 @@ from oslo_log import log
17 17
 
18 18
 from django.conf import settings
19 19
 from horizon.utils.memoized import memoized  # noqa
20
-
21
-# When  python-freezerclient 2.0 released, directly use freezerclient.client
22
-# as freezer_client.
23
-# The current python-freezerclient version hasn't freezerclient.client module.
24
-# from freezerclient import client as freezer_client
25
-
26
-from freezerclient.v2 import client as freezer_client
20
+from freezerclient import client as freezer_client
27 21
 
28 22
 from disaster_recovery import utils
29 23
 

+ 1
- 1
lower-constraints.txt View File

@@ -39,7 +39,7 @@ Pygments==2.2.0
39 39
 pylint==1.4.5
40 40
 pyparsing==2.2.0
41 41
 pyperclip==1.6.0
42
-python-freezerclient==1.3.0
42
+python-freezerclient==2.0.0
43 43
 python-mimeparse==1.6.0
44 44
 python-subunit==1.2.0
45 45
 pytz==2018.3

+ 1
- 1
requirements.txt View File

@@ -1,7 +1,7 @@
1 1
 # The order of packages is significant, because pip processes them in the order
2 2
 # of appearance. Changing the order has an impact on the overall integration
3 3
 # process, which may cause wedges in the gate later.
4
-python-freezerclient>=1.3.0 # Apache-2.0
4
+python-freezerclient>=2.0.0 # Apache-2.0
5 5
 oslo.log>=3.36.0  # Apache-2.0
6 6
 
7 7
 # OpenStack CI will install the following projects from git

Loading…
Cancel
Save